# Method: projects.locations.instances.patch

- [HTTP request](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/patch#try-it)

Updates an existing Instance in a given project and location.

### HTTP request

`PATCH https://memcache.googleapis.com/v1/{instance.name=projects/*/locations/*/instances/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `instance.name` | `string` Required. Unique name of the resource in this scope including project and location using the form: `projects/{projectId}/locations/{locationId}/instances/{instanceId}` Note: Memcached instances are managed and addressed at the regional level so `locationId` here refers to a Google Cloud region; however, users may choose which zones Memcached nodes should be provisioned in within an instance. Refer to `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances#Instance.FIELDS.zones` field for more details. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of fields to update. - `displayName` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances#Instance`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).